# *========================================================================*
# || /etc/cipux/ldap/machine.tpl                                          ||
# || Version Mon Feb 28 16:20:34 CET 2005                                 ||
# || This is the template file machine.tpl. It is used by the add.pl      ||
# || script. It defines the possible ldap attributes and there default    ||
# || values.                                                              ||
# || (c) 2002,2003,2005  Christian Kuelker                                ||
# || Licence: GPL                                                         ||
# || Revision: 2005-09-15                                                 ||
# *========================================================================*
#
# WARNING: this buffer should be utf-8
#
# You can leave attributes emty. But you should NOT delete an attribute!
# - attributes with <AUTO=....> are computed autofilled in.
# - other <....> attributes are madatory!
# - every other can be replaced by command line option.

#############################################################################
# dn: uid=if1w-10$,ou=Machines,dc=skole,dc=skolelinux,dc=no
# uid: if1w-10$
#   sambaSID: S-1-5-21-4224001607-390211084-3077114043-2202
#   sambaPrimaryGroupSID: S-1-5-21-4224001607-390211084-3077114043-2201
#   objectClass: sambaSamAccount
# objectClass: account
# objectClass: top
# objectClass: posixAccount
# displayName: IF1W-10$
#   sambaPwdCanChange: 1114532959
#   sambaNTPassword: 353BC07D41386E13BB2ADA62ED1240FA
#   sambaPwdLastSet: 1114532959
#   sambaAcctFlags: [W          ]
# cn: if1w-10$ workstation
# gidNumber: 600
# homeDirectory: /dev/null
# uidNumber: 710
#########################################################################
# dn: uid=<MANDATORY=uid>,ou=Machines,dc=skole,dc=skolelinux,dc=no
# objectClass: top
# objectClass: account
# objectClass: posixAccount
# uid: <AUTO=uidNumber>
# host: <MANDATORY=uid>
# cn: <MANDATORY=uid> workstation
# uidNumber: <AUTO=uidNumber>
# gidNumber: 600
# homeDirectory: /dev/null
###########################################################################

dn: uid=<MANDATORY=uid>,ou=Machines,dc=skole,dc=skolelinux,dc=no
objectClass: top
objectClass: account
objectClass: posixAccount
objectClass: cipuxMachine
uid: <AUTO=uidNumber>
host: <MANDATORY=uid>
cn: <MANDATORY=uid> workstation
uidNumber: <AUTO=uidNumber>
gidNumber: 900
homeDirectory: /dev/null
cipuxMacAddress: <MANDATORY=cipuxMacAddress>
cipuxMaster: FALSE
cipuxRoomName: <MANDATORY=cipuxRoomName>
cipuxClientNumber: <MANDATORY=cipuxClientNumber>
cipuxCreationDate: <AUTO=cipuxCreationDate>
cipuxImageSlotNumber: <MANDATORY=cipuxImageSlotNumber>
cipuxHardwareTypeNumber: <MANDATORY=cipuxHardwareTypeNumber>
